Name:           xfontsel
Version:        1.0.6
Release:        3%{?dist}
Summary:        Tool to list X11 core protocol fonts

License:        MIT
URL:            https://www.x.org
Source0:        https://www.x.org/pub/individual/app/%{name}-%{version}.tar.bz2
Source1:        https://www.x.org/pub/individual/app/%{name}-%{version}.tar.bz2.sig
# Keyring created on 2021-02-23 with:
#   workdir="$(mktemp --directory)"
#   gpg2 --with-fingerprint xfontsel-1.0.6.tar.bz2.sig 2>&1 |
#     awk '$2 == "using" { print "0x" $NF }' |
#     xargs gpg2 --homedir="${workdir}" \
#         --keyserver=hkp://pool.sks-keyservers.net --recv-keys
#   gpg2 --homedir="${workdir}" --export --export-options export-minimal \
#       > xfontsel.gpg
#   rm -rf "${workdir}"
# Inspect keys using:
#   gpg2 --list-keys --no-default-keyring --keyring ./xfontsel.gpg
Source2:        %{name}.gpg

BuildRequires:  gnupg2

BuildRequires:  autoconf
BuildRequires:  automake

BuildRequires:  gcc
BuildRequires:  make

BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8

Obsoletes:      xorg-x11-apps < 7.7-31

%description
The %{name} application provides a simple way to display the X11 core protocol
fonts known to your X server, examine samples of each, and retrieve the X
Logical Font Description (“XLFD”) full name for a font.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup


%build
autoreconf --force --install --verbose
%configure
%make_build


%install
%make_install


%files
%license COPYING
%doc ChangeLog
%doc README
%{_bindir}/xfontsel
%{_mandir}/man1/xfontsel.1*
%{_datadir}/X11/app-defaults/XFontSel


%changelog
* Fri Apr 30 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.6-3
- Adjust whitespace and ordering to personal preference
- Add missing autoconf BR and drop bogus libtool BR
- Add --force to autoreconf
- Drop --disable-silent-rules configure argument, redundant with V=1 in
  make_build macro
- Slightly nicer description
- Install ChangeLog and README
- Add cryptographic source archive verification

* Thu Apr 08 2021 Peter Hutterer <peter.hutterer@redhat.com> - 1.0.6-2
- Fix Obsoletes line to actually obsolete the -30 xorg-x11-apps (#1947245)

* Tue Mar 02 2021 Peter Hutterer <peter.hutterer@redhat.com> 1.0.6-1
- Split xfontsel out from xorg-x11-apps into a separate package (#1933945)
